#version 330 core

// Interpolated values from the vertex shaders
in vec3 fragmentColor;
in vec3 fragmentNormal;

out vec3 color;

uniform vec3 ldir;
uniform vec3 ldir_col;
uniform float ldir_amb;
 
void main(){
	float val=ldir_amb+clamp(dot(normalize(fragmentNormal),ldir),0,1)*(1-ldir_amb);
	color = fragmentColor*val*ldir_col;
}