#version 330 core
layout(location = 0) in vec3 vertexPosition_modelspace;
layout(location = 1) in vec3 vertexNormal;
uniform mat4 MVP;

out vec3 fragmentNormal;
out vec3 fragmentPos;
 
void main(){
    vec4 v = vec4(vertexPosition_modelspace,1); // Transform an homogeneous 4D vector, remember ?
    gl_Position = MVP * v;

    fragmentNormal = vertexNormal;
	fragmentPos = vertexPosition_modelspace;
}