#version 330 core

// Interpolated values from the vertex shaders
in vec2 UV;

out vec3 color;

uniform sampler2D sampler0;
 
void main(){
    // Output color = color specified in the vertex shader,
	// interpolated between all 3 surrounding vertices
	color = texture( sampler0, UV ).rgb;
}