#version 330 core
layout(location = 0) in vec3 vertexPosition_modelspace;
layout(location = 1) in vec2 vertexUV;
uniform mat4 MVP;

// Output data ; will be interpolated for each fragment.
out vec2 UV;
 
void main(){
 
    // Output position of the vertex, in clip space : MVP * position
    vec4 v = vec4(vertexPosition_modelspace,1); // Transform an homogeneous 4D vector, remember ?
    gl_Position = MVP * v;
	//gl_Position = v;

	// UV of the vertex. No special space for this one.
    UV = vertexUV;

}