#version 330 core

// Interpolated values from the vertex shaders
in vec3 fragmentNormal;
in vec2 fragmentUV;

out vec3 color;

uniform vec3 ldir;
uniform vec3 ldir_col;
uniform float ldir_amb;

uniform sampler2D sampler0;
 
void main(){
	float val=ldir_amb+clamp(dot(normalize(fragmentNormal),ldir),0,1)*(1-ldir_amb);
	color = texture( sampler0, fragmentUV ).rgb*val*ldir_col;
}