#version 330 core
layout(location = 0) in vec3 vertexPosition_modelspace;
layout(location = 1) in vec3 vertexNormal;
layout(location = 2) in vec2 vertexUV;
uniform mat4 MVP;

out vec3 fragmentNormal;
out vec2 fragmentUV;
 
void main(){
 
    vec4 v = vec4(vertexPosition_modelspace,1);
    gl_Position = MVP * v;

    fragmentUV = vertexUV;
    fragmentNormal = vertexNormal;
}